Skip links

CVE-2020-6311 Improper Authorization Checks in Banking services from SAP Bank Analyzer and SAP S/4HANA Financial Products, SAP security note 2951325

Description

UPDATE 27th October 2020: This note has been re-released with updated ‘Correction instruction’ information for the release FSAPPL500.

Banking services from SAP Bank Analyzer and SAP S/4HANA Financial Products does not correctly perform necessary authorization checks for an authenticated user, that may cause a system administrator to create incorrect authorization proposals on certain fields. This may result in privilege escalation, and may expose restricted banking data, that are subject to Data Privacy and Protection.

Available fix and Supported packages

  • FSAPPL | 500 | 500
  • S4FPSL | 100 | 100
  • FSAPPL 500 | SAPK-50015INFSAPPL |
  • S4FPSL 100 | SAPK-10004INS4FPSL |

Affected component

    FS-BA-PM-SFA
    Smart Accounting for Financial Instruments

CVSS

Score: 6.5
CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

Exploit

Exploit is not available.
For detailed information please contact the mail [email protected]

URL

https://launchpad.support.sap.com/#/notes/2951325

TAGS

#Access-control
#Authorization-error
#Authorization-profile
#role-maintenance
#&160-CVE-2020-6311